Subject: bug#46298: 28.0.50; Best default for ispell-program-name

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Feb 2021 19:29:02 +0200

> From: Peter Oliver <[email-masked]>
> Date: Thu, 4 Feb 2021 16:03:15 +0000 (GMT)
> 
> The default value of ispell-program-name is decided by looking in turn for the binaries aspell, ispell, hunspell and enchant-2, and using whichever is first found.  Would it make sense to sort these in order of which we believe to be best?

Not sure we need to change the order.  ispell-program-name is a
defcustom, which means users are invited to set it according to their
preferences.  We cannot pretend we know the preferences of each user.

> As I understand it, which backend is most accurate varies from language to language.  Assuming the quality of the Emacs integration is equal, I would suggest putting Enchant first on the list rather than last.  Enchant doesnʼt do any spellchecking itself, but instead selects a backend based on a per-language configuration preference, automatically skipping any backends which are not installed or for which dictionaries are not installed in the current language.

I have the impression that Enchant is still a new player on this
field, and keeps changing significantly.  Maybe it's good enough in
distros that use the latest versions, but what about people who have
older versions installed?

One more reason not to try to second guess what is best for the users,
I guess.

Does anyone else have an opinion?